{
  pkgs,
  lib,
  config,
  ...
}:
with lib;
let
  cfg = config.global.gpu;
  gui = with cfg; enable && session;
in
mkIf gui {
  boot = {
    loader.timeout = mkDefault 0;
    consoleLogLevel = 0;
    initrd.verbose = false;
    initrd.systemd.enable = true;
    plymouth.enable = true;
    kernelParams = [
      "quiet"
      "splash"
      "loglevel=3"
      "rd.systemd.show_status=false"
      "rd.udev.log_level=3"
      "udev.log_priority=3"
    ];
  };
}
